# core.freshness_get

`GET /api/public/v1/core/freshness`

Đọc sổ độ tươi lõi tổng hợp công khai.

- Quyền: `workspace.read`
- Lệnh (chống trùng): Không
- Tool MCP: `core_freshness_get`

## Phản hồi

200 với { data, correlation_id }.

| Trường | Kiểu | Luôn có | Mô tả |
|---|---|---|---|
| `data` | object | Có |  |
| `correlation_id` | string (uuid) | Có |  |
| `ok` | true | Không |  |
| `operation_id` | string \| null | Không |  |
| `state_version` | integer | Không | (tối thiểu 0) |
| `retryable` | false | Không |  |
| `next` | null | Không |  |

Trường mới có thể xuất hiện bất cứ lúc nào; hãy bỏ qua trường bạn không biết.

## Lỗi

| Mã | HTTP | Thử lại |
|---|---|---|
| `UNAUTHENTICATED` | 401 | Không |
| `FORBIDDEN` | 403 | Không |
| `RATE_LIMITED` | 429 | Có |
| `DEPENDENCY_UNAVAILABLE` | 503 | Có |
| `UNKNOWN` | 500 | Không |

## Ví dụ (curl)

```bash
curl "https://browlix.com/api/public/v1/core/freshness" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"
```

## Ví dụ (TypeScript SDK)

```ts
import { Browlix } from "@browlix/sdk";

const bx = new Browlix({ apiKey: process.env.BROWLIX_API_KEY! });
const reply = await bx.call("core.freshness_get");
console.log(reply.data);
```

## Ví dụ (Python)

```python
import os
import requests

r = requests.get(
    "https://browlix.com/api/public/v1/core/freshness",
    headers={"Authorization": f"Bearer {os.environ['BROWLIX_API_KEY']}"},
    timeout=60,
)
print(r.status_code, r.json())
```

## Ví dụ (MCP)

```json
{
  "method": "tools/call",
  "params": {
    "name": "core_freshness_get",
    "arguments": {}
  }
}
```
